diffman-git(1)

NAME
diffman-git - compare changes to manual pages line by line

SYNOPSIS
diffman-git [diff-options ...] [[base-commit] commit]

DESCRIPTION
The diffman-git command formats a manual page at two git(1) commits, and then runs diff(1) on the formatted outputs.

If the commit is not specified, it diffs the working directory against HEAD.

If the base-commit is not specified, the comparison is done against the previous commit.

OPTIONS

-s  Report when two files are the same.

-Un output n (default 3) lines of unified context.

-w  Ignore all white space.

ENVIRONMENT
See man(1).

EXAMPLES
    $ MAN_KEEP_FORMATTING= diffman-git 437e4afec6ca | less -R;
    --- 437e4afec6ca^:man/man3/sem_open.3
    +++ 437e4afec6ca:man/man3/sem_open.3
    @@ -14,3 +14,2 @@
    -     sem_t *sem_open(const char *name, int oflag);
    -     sem_t *sem_open(const char *name, int oflag,
    -                     mode_t mode, unsigned int value);
    +     sem_t *sem_open(const char *name, int oflag, ...
    +                     /* mode_t mode, unsigned int value */ );

SEE ALSO
diff(1), man(1), git(1), less(1)